Subject: Re: [MMUSIC] Comments on draft-ietf-mmusic-sdp-bundle-negotiation-06 - Paul's comments

From: Christer Holmberg <[email-masked]>
Date: Wed, 9 Apr 2014 07:22:11 +0000

Hi Paul,

Thanks for your comments! See inline.

> Here are comments on the latest version:
>
> Section 1:
>
> I had trouble parsing the following:
>
>    Once it is known that both the offerer and the answerer supports the
>    BUNDLE mechanism, a BUNDLE group and the associated BUNDLE addresses
>    have been negotiated, each endpoint can assign its BUNDLE address to
>    each "m=" line within, and use the address to send and receive all
>    media associated with, the BUNDLE group.
>
> I suggest:
>
>    Once it is known that both the offerer and the answerer support the
>    BUNDLE mechanism, and a BUNDLE group and the associated BUNDLE
>    addresses have been negotiated, each endpoint can assign its BUNDLE
>    address to each "m=" line within, and use the address to send and
>    receive all media associated with, the BUNDLE group.

I don't think we even need to say "Once it is known that both the offerer and the answerer support the BUNDLE mechanism". Because, if both endpoints don't support BUNDLE, they will not negotiate a BUNDLE group etc.

So, maybe something like:

	"Once the offerer and the answerer have negotiated a BUNDLE group, and the associated BUNDLE addresses, 
	each endpoint can assign its BUNDLE address to each "m=" line within, and use the address to send and receive
	all media associated with, the BUNDLE group."

------------

>Later in the section, in the following:
>
>    The procedures in this specification apply to a given BUNDLE group.
>
> I suggest a change: s/apply/apply independently/

Ok.

------------

>Section 2:
>
>In the following:
>
>    Offerer BUNDLE address: Within a given BUNDLE group, an IP address
>    and IP port combination used by an offerer to send and receive all
>    media associated with each "m=" line within the BUNDLE group.
>
>    Answerer BUNDLE address: Within a given BUNDLE group, an IP address
>    and IP port combination used by an answerer to send and receive all
>    media associated with each "m=" line within the BUNDLE group.
>
> I question the "to send and" in the above. In general with O/A the address is only for receive - there is no promise that media will also be sent from that address.

Ok.

------------

>Then, in the following:
>
>    Bundled "m=" line: An "m=" line, in an SDP offer or SDP answer,
>    associated with a BUNDLE group.
>
> Is an m-line a bundled m-line if it is included in the a=group:bundle of the offer, but not in the answer???
>
> IOW, for an offer do I determine if an m-line is bundled based on the a=group:bundle in the *offer*, or in the *answer*?

Note that the text talk about an "m=" line being associated with a BUNDLE group. So, if the BUNDLE group hasn't been created yet, the "m=" line isn't considered being bundled.

------------

>Section 5.2.1:
>s/BUNDEL/BUNDLE/

Ok.

------------

>Section 5.2.3:
>
>This fits into the general format for documenting O/A. So this section specifically describes the processing of the first offer. (E.g., in the sip session.)
>
>But this section is also used as *the* place to describe the initial offer that creates a BUNDLE group. That suggests that you can only create a bundle group within the 
>first O/A of a sip session. Certainly that is not the intent. (A BUNDLE group can be first created in an offer that modifies an SDP session.)
>
> I don't currently have a suggestion for how to fix this. It is hard!

I tried to cover that in section 2:

	"Initial SDP offer: The first SDP offer, in which the offerer
   	indicates that it wants to create a given BUNDLE group."

Maybe we could say:

"The first SDP offer, within an SDP session, in which..."

...to make it more clear that it does not necessarily have to be the first offer within the SDP session.

------------

>Section 5.2.4.2:
>
>In the last line of the following:
>
>    When an answerer generates an SDP answer, it MUST select a BUNDLE
>    address for the offerer, referred to as the offerer BUNDLE address.
>    The answerer MUST select an address which the offerer in the
>    associated SDP answer requested to be within the BUNDLE group.
>
> s/answer/offer/

Ok.

------------

>Section 5.2.6.2:
>
>The following has some grammar problems:
>
>    NOTE: If the offerer wants that the answerer selects the address
>    associated with the added "m=" as the offerer BUNDLE address, the
>    offerer suggested BUNDLE mid MUST represent the added "m=" line
>    [Section 5.2.3.2].
>
>I suggest:
>
>    NOTE: If the offerer wants the answerer to select the address
>    associated with the added "m=" as the offerer BUNDLE address, the
>    offerer suggested BUNDLE mid MUST represent the added "m=" line
>    [Section 5.2.3.2].

Ok.

Regards,

Christer